Does LR 9.5 support IE8

Does LR9.5 version support IE8? if not which version of LR can support IE8. Thanks!